commit: be997d13a918be6e338e293021c9b1a8cc4d0306
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 29 19:34:46 2019 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Sep 29 19:41:47 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be997d13
net-analyzer/cacti: Version 1.2.7
Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
net-analyzer/cacti/Manifest | 1 +
net-analyzer/cacti/cacti-1.2.7.ebuild | 48 +++++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/net-analyzer/cacti/Manifest b/net-analyzer/cacti/Manifest
index e85cc8aaa95..e7b862abe53 100644
--- a/net-analyzer/cacti/Manifest
+++ b/net-analyzer/cacti/Manifest
@@ -1,3 +1,4 @@
DIST cacti-1.1.38.tar.gz 9081347 BLAKE2B
9f64bc7cd33187c4c744e1473409ea8998cd953c6fd047c66af6ff07d288678cbd944d2e70d0fc3838a42c7f7a9dbf7b094963391791a46bc50c3ed65ed4251f
SHA512
1f91156416a9988fa149f9b8fc9fc7df904e4cf6d9a19a62d06c7de1ded99ddaec2f5b5f1a21b0effc4dee7b9c1d1911ca5aaa6113b57edc7e2f42b7969343b5
DIST cacti-1.2.5.tar.gz 24677665 BLAKE2B
098a855c9eda7c6eca255a96be0d6abe016be00ffd985ce356773e8af4114ecdca4753e1b288a697c8defbbe481a9244eecf553f228518e1c223b582e0974eb7
SHA512
991847ded6045c8c6111c58c5f8687f2497183a545158924bba92ee5d0b7de3e658ddbfce6f59c651fa29118aedb271a438c5668a3db4b93f97f82fe721f0a32
DIST cacti-1.2.6.tar.gz 24707849 BLAKE2B
eaeee3953d170d7df9eb14be85d700af2221f8f940f19ef59dc57b5f9d86e048811a04c31c8390d5722ae15dd9ad911a602ce0c95b2b999baf2104570cb4fb3b
SHA512
69cccb6f87c0b7128c878528898395965b0223dc6edafa52905febd596d7b58ed240c7d0ffc211a3ef69d131c77a0f2dd5047914fb879d026c052b6c889cf21e
+DIST cacti-1.2.7.tar.gz 24819135 BLAKE2B
75dfc9eb054acf5a1344ebbbda30f35777db876e67891e8c793901882b3ba27f5bf250be4e4527ea64b5ea9af575e58fccccb47233c2a3d27ef57657312c6c5a
SHA512
2fc31342aa23b4fa98e6f3cf6b7e42f8cf98f272232a1bceb1b256b2104ea26445c1be1c1ff83bf20d293a3c1e7a21eb3a871623f78069aea9b21151ac57a243
diff --git a/net-analyzer/cacti/cacti-1.2.7.ebuild
b/net-analyzer/cacti/cacti-1.2.7.ebuild
new file mode 100644
index 00000000000..c44b77bddbd
--- /dev/null
+++ b/net-analyzer/cacti/cacti-1.2.7.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit eutils webapp
+
+# Support for _p* in version.
+MY_P=${P/_p*/}
+
+DESCRIPTION="Cacti is a complete frontend to rrdtool"
+HOMEPAGE="https://www.cacti.net/"
+SRC_URI="https://www.cacti.net/downloads/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="snmp doc"
+
+need_httpd
+
+RDEPEND="
+ dev-lang/php[cli,mysql,pdo,session,sockets,xml]
+ dev-php/adodb
+ net-analyzer/rrdtool[graph]
+ virtual/cron
+ snmp? ( >=net-analyzer/net-snmp-5.2.0 )
+"
+
+src_compile() { :; }
+
+src_install() {
+ dodoc CHANGELOG
+ dodoc -r docs
+ mv docs .. || die
+
+ webapp_src_preinst
+
+ edos2unix `find -type f -name '*.php'`
+
+ dodir ${MY_HTDOCSDIR}
+ cp -r . "${D}"${MY_HTDOCSDIR}
+
+ webapp_serverowned ${MY_HTDOCSDIR}/rra
+ webapp_serverowned ${MY_HTDOCSDIR}/log
+ webapp_configfile ${MY_HTDOCSDIR}/include/config.php
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+
+ webapp_src_install
+}